	set more off, perm
	
forval a = 2009/2017 {
global a `a'
	do "pgm/00_Globals.do"
	do "pgm/00_Globals_all.do"

	*** LOOP FOR THE WOMEN
	** school in city
forvalues j = 1/4 {
		use ${pathprogLFS`a'}\EC`a'_`j'.dta, clear
		gen code_insee=dep+com 
		replace code_insee = "75056" if dep=="75"
		foreach c in $marseille {
			replace code_insee = "13055" if code_insee=="`c'"
			}
		foreach c in $lyon {
			replace code_insee = "69123" if code_insee=="`c'"
			}	
		destring sexe, force replace
		destring age, force replace
		gen noicopy=noi
		destring noicopy, replace
		destring noiprm, force replace
	if `a'>=2013 {
		rename noicon noiconred
		}
		destring noiconred, force replace
	if `a' == 2011 | `a' >= 2013  {
			rename noiper noipered
			rename noimer noimered
			}
		keep if (noiprm==noicopy | noiprm==noiconred)
		duplicates drop ident, force
		keep $spec_var ident noi noiprm noiconred code_insee noipered noimered 
		sort code_insee
		merge m:1 code_insee using "$path\Cities_school_final.dta"
		keep if _merge ==3
		drop _merge
		sort ident noi 
		bysort ident: gen id=_n
		
		/*gen lesbienne=""
		foreach v in $lesbienne {
		cap replace lesbienne=noi[_n+1] if id==1 & ident=="`v'"
		cap replace lesbienne=noi[_n-1] if id==2 & ident=="`v'"
		                        }
								*/

		/*foreach v in $spec_var $cityschool outofOTS noiprm noiconred noipered noimered code_insee {
			rename `v' `v'_09_`j'
			}
			*/
			/*
		foreach v in lesbienne {
			rename `v' l_`v'_09_`j'
			                             }
										 */

		gen id2=ident+noi
		save ${pathprogLFS`a'}\temp_disECin`a'_`j'.dta, replace
		clear
		}
		
		** school out of city
forvalues j = 1/4 {
		use ${pathprogLFS`a'}\EC`a'_`j'.dta, clear
		gen code_insee=dep+com 
		replace code_insee = "75056" if dep=="75"
		foreach c in $marseille {
			replace code_insee = "13055" if code_insee=="`c'"
			}
		foreach c in $lyon {
			replace code_insee = "69123" if code_insee=="`c'"
			}	
		destring sexe, force replace
		destring age, force replace
		gen noicopy=noi
		destring noicopy, replace
		destring noiprm, force replace
	if `a'>=2013 {
		rename noicon noiconred
		}
		destring noiconred, force replace
		keep if  (noiprm==noicopy | noiprm==noiconred)
		duplicates drop ident, force
	if `a' == 2011 | `a' >= 2013  {
			rename noiper noipered
			rename noimer noimered
			}
		keep $spec_var ident noi noiprm noiconred code_insee noipered  noimered 
		sort code_insee
		merge m:1 code_insee using "$pathprogOTS\Cities_school_final.dta"
		keep if _merge ==1
		drop _merge
		gen outofcity=1 
		drop $cityschool 
		merge m:1 code_insee using "$pathproggeo\Distances_School_Final.dta"
		keep if _merge==3
		drop _merge
		sort ident noi 
		bysort ident: gen id=_n
		/*gen lesbienne=""
		foreach v in $lesbienne {
		cap replace lesbienne=noi[_n+1] if id==1 & ident=="`v'"
		cap replace lesbienne=noi[_n-1] if id==2 & ident=="`v'"
		                        }
*//*
		foreach v in $spec_var $cityschool outofOTS noiprm noiconred noipered noimered code_insee outofcity{
			rename `v' `v'_09_`j'
			}
			*/
			/*
		foreach v in lesbienne {
			rename `v' l_`v'_09_`j'
			                             }
										 */

		gen id2=ident+noi
		save ${pathprogLFS`a'}\temp_disECout`a'_`j'.dta, replace
		clear
		}
		
forvalues j = 1/4 {
			use ${pathprogLFS`a'}\temp_disECin`a'_`j'.dta, clear
			append using ${pathprogLFS`a'}\temp_disECout`a'_`j'.dta
			save ${pathprogLFS`a'}\temp_disEC`a'_`j'.dta, replace
			}
		

		

		** LOOP FOR THE PARTNER
	
	forvalues j=1/4 {
		use ${pathprogLFS`a'}\EC`a'_`j'.dta, clear
		gen code_insee=dep+com 
		replace code_insee = "75056" if dep=="75"
		foreach c in $marseille {
			replace code_insee = "13055" if code_insee=="`c'"
			}
		foreach c in $lyon {
			replace code_insee = "69123" if code_insee=="`c'"
			}	
		destring sexe, force replace
		destring age, force replace
        gen noicopy=noi
		destring noicopy, force replace
		destring noiprm, replace
	if `a'>=2013 {
		rename noicon noiconred
		}
		destring noiconred, replace
		keep if (noiprm==noicopy | noiprm==noiconred)
		drop if ident==ident[_n+1] | ident==ident[_n-1]
		keep ${spec_var_partner} ident noi 
		foreach v in ${spec_var_partner} {
			rename `v' p_`v'
			}
			
		gen id_partner=ident+noi
		save ${pathprogLFS`a'}\temp_dispartnerEC`a'_`j'.dta, replace
		clear
		}
	
	
	** LOOP FOR THE CHILDREN
	
	
	forvalues j=1/4 {
		use ${pathprogLFS`a'}\EC`a'_`j'.dta, clear
		gen code_insee=dep+com 
		replace code_insee = "75056" if dep=="75"
		foreach c in $marseille {
			replace code_insee = "13055" if code_insee=="`c'"
			}
		foreach c in $lyon {
			replace code_insee = "69123" if code_insee=="`c'"
			}	
		destring sexe, force replace
		destring age, force replace
		foreach v in $noienf {
			destring `v', replace
			}
		*keep if age<18 & (lprm=="3" | lprm=="4") & nbenfa18!=0
		keep if age<18 & (lprm=="3") & nbenfa18!=0
	if `a' == 2011 | `a' >= 2013  {
			rename noiper noipered
			rename noimer noimered
			}
		keep $spec_var_children ident noi noipered noimered 
		gen id_children=ident+noi
		save ${pathprogLFS`a'}\temp_dischildrenEC`a'_`j'.dta, replace
		clear
		}
	
	forvalues j=1/4 {
	use ${pathprogLFS`a'}\temp_dischildrenEC`a'_`j'.dta, clear
	sort ident 
	by ident : gen nbenfant = _n
	by ident : gen nbenfantf = _N
	egen identb=group(ident)
	
	reshape wide noi* rgi prenom sexe age lprm ///
	ident id_children nbenfantf naia naim, i(identb) j(nbenfant)
	
if `a'< 2013 {
	local enf = 11
	}
	
if `a'>=2013 {
	local enf = 13
	}
	
	forvalues k=2/`enf' {
		cap drop ident`k' nbenfantf`k'
		}
	rename ident1 ident
	rename nbenfantf1 nbenfantf
	drop identb
	
	foreach v in $varchildren  {
		cap rename `v' c_`v'
		}
	
	save ${pathprogLFS`a'}\temp_dischildrenEC`a'_`j'.dta, replace
	clear
	}
	
    
	******** MERGE FAMILY BY WAVES
	
		forvalues j=1/4 {
		use ${pathprogLFS`a'}\temp_disEC`a'_`j'.dta, clear 
		merge m:1 ident using ${pathprogLFS`a'}\temp_dispartnerEC`a'_`j'.dta
		drop if _merge==2
		drop _merge
		merge m:1 ident using ${pathprogLFS`a'}\temp_dischildrenEC`a'_`j'.dta
		drop if _merge==2
		drop _merge 
		gen wave=`j'
		save ${pathprogLFS`a'}\temp_disfamilyEC`a'_`j'.dta, replace
		}
	
	
	****** MERGE WAVES WOMEN
	
		use ${pathprogLFS`a'}\temp_disfamilyEC`a'_1.dta, clear
		sort id2
		forvalues j=2/4 {
		append using ${pathprogLFS`a'}\temp_disfamilyEC`a'_`j'.dta 
		}

	save ${pathprogLFS`a'}\temp_disfamilyEC`a'.dta, replace	

  use ${pathprogLFS`a'}\temp_disfamilyEC`a'.dta, clear
	drop noimered noipered
	
	gen year = `a'
	if $a > 2012 {
		destring rc1rev3, replace force
		}
	save ${pathprogLFS`a'}\temp_disfamilyEC`a'.dta, replace	
	
	} // foreach a 
	
	use  ${pathprogLFS2009}\temp_disfamilyEC2009.dta, clear
	forval b = 2010/2016 {
		append using  ${pathprogLFS`b'}\temp_disfamilyEC`b'.dta, force
		di `b'
		
		}
	save  ${pathprogLFS}\disEC0916.dta, replace
// foreach a 

	
