clear 
	set more off, perm
	

	
	import excel using "${pathprog}/qvalue_outcomes_2013_2014.xlsx", firstrow clear
	
	destring coeff se, replace
	gen b=abs(coeff)
	gen pval = 2*(normal(-(b/se)))
	format pval %9.4f 
	
	
	levelsof var, local(variables)

	foreach f in parttime  {
	preserve
	keep if var=="`f'"
	keep pval group
		do "$path/Dofiles/fdr_adapte.do"
		levelsof(group), local(names)
		foreach v of local names{
			sum qval if group==`v'
			sca qval`v' = r(mean)
			di " Q value pour `v' ="
			di qval`v'
			}	
		restore	
			}
