clear 
	set more off, perm
	

	import excel using "${pathprog}/qvalue_outcomes_private.xlsx", firstrow clear

	
	levelsof var, local(variables)

	foreach f in lreal_monthly_salary  { // wednesday tot_hours parttime lreal_monthly_salary lreal_hourly_wage
	preserve
	keep if var=="`f'"
	
	keep pval group
		do "$path/Dofiles/fdr_adapte.do"
		levelsof(group), local(names)
		foreach v of local names{
			sum qval if group=="`v'"
			sca qval`v' = r(mean)
			di " Q value pour `v' ="
			di qval`v'
			}	
		restore	
			}
			
			**
			
	import excel using "${pathprog}/qvalue_outcomes_onedigit3.xlsx", firstrow clear

	
	levelsof var, local(variables)

	foreach f in lreal_hourly_wage  { // wednesday tot_hours parttime lreal_monthly_salary lreal_hourly_wage
	preserve
	keep if var=="`f'"
	
	keep pval group
		do "$path/Dofiles/fdr_adapte.do"
		levelsof(group), local(names)
		foreach v of local names{
			sum qval if group=="`v'"
			sca qval`v' = r(mean)
			di " Q value pour `v' ="
			di qval`v'
			}	
		restore	
			}
			
			
	import excel using "${pathprog}/qvalue_outcomes_highedu.xlsx", firstrow clear

	
	levelsof var, local(variables)

	foreach f in lreal_hourly_wage  { // wednesday tot_hours parttime lreal_monthly_salary lreal_hourly_wage
	preserve
	keep if var=="`f'"
	
	keep pval group
		do "$path/Dofiles/fdr_adapte.do"
		levelsof(group), local(names)
		foreach v of local names{
			sum qval if group=="`v'"
			sca qval`v' = r(mean)
			di " Q value pour `v' ="
			di qval`v'
			}	
		restore	
			}
