
	set more off, perm
	global pathdofiles "P:\Dofiles"
	
	do ${pathdofiles}\000_Globals.do
	global pathproggeo "P:\Entrees\20150619\Geographie"


	use "$pathproggeo\Distances_IGN_2A_orig.dta", clear
	append using "$pathproggeo\Distances_IGN_2B_orig.dta"
	gen com1=com
	cap tostring com1, replace
	cap gen codecomstring=dep+com1
	forvalues j=1/9 {
	cap replace codecomstring = dep+"00"+com1 if com==`j'
	}	
	forvalues j=10/99 {
	cap replace codecomstring = dep+"0"+com1 if com==`j'
	}
	
	
	save "$pathproggeo\Distances_IGN_Corse.dta", replace
	keep codecom_target 
	*cap rename codecom_target codecom_targetnum
	save "$pathproggeo\Target_corse.dta", replace
	use "$pathproggeo\Distances_IGN_Corse.dta", clear
	keep codecomstring codecom
	cap rename codecom codecom_target
	merge m:m codecom_target using "$pathproggeo\Target_corse.dta"
	drop _merge
	rename codecomstring codecomstring_target
	save "$pathproggeo\Target_corse.dta", replace
	use "$pathproggeo\Distances_IGN_Corse.dta", clear
	merge m:m codecom_target using "$pathproggeo\Target_corse.dta"
	drop _merge
	drop codecom_target  codecom
	rename codecomstring_target codecom_target
	rename codecomstring codecom
	save "$pathproggeo\Distances_IGN_Corse.dta", replace
	
	foreach j in A B {
	use "$pathproggeo\Distances_IGN_Corse.dta", clear
	keep if dep=="2`j'"
	save "$pathproggeo\Distances_IGN_2`j'.dta", replace
	}
 
	
	
	
