clear 
	set more off, perm
	

	
	import excel using "${pathprog}/qvalue_outcomes_mobility.xlsx", firstrow clear
	destring coef se pval, replace
	gen b=abs(coef)
	replace pval = 2*(normal(-(b/se))) if pval==.
	format pval %9.4f 
	
	keep pval var
		do "$path/Dofiles/fdr_adapte.do"
		levelsof(var), local(names)
		foreach v of local names{
			sum qval if var=="`v'"
			sca qval`v' = r(mean)
			di " Q value pour `v' ="
			di qval`v'
			}	
	
import excel using "${pathprog}/qvalue_outcomes_decisions.xlsx", firstrow clear
	destring coef se pval, replace
	gen b=abs(coef)
	replace pval = 2*(normal(-(b/se))) if pval==.
	format pval %9.4f 
	
	keep pval var
		do "$path/Dofiles/fdr_adapte.do"
		levelsof(var), local(names)
		foreach v of local names{
			sum qval if var=="`v'"
			sca qval`v' = r(mean)
			di " Q value pour `v' ="
			di qval`v'
			}	
	
